<?php



namespace app\common\repositories\user;


use app\common\dao\user\UserSpreadLogDao;
use app\common\repositories\BaseRepository;

/**
 * @mixin UserSpreadLogDao
 */
class UserSpreadLogRepository extends BaseRepository
{
    public function __construct(UserSpreadLogDao $dao)
    {
        $this->dao = $dao;
    }

    public function getList(array $where, $page, $limit)
    {
        $query = $this->dao->search($where);
        $count = $query->count();
        $list = $query->page($page, $limit)->with(['spread' => function ($query) {
            $query->field('uid,nickname,avatar');
        }])->select();

        return compact('count', 'list');
    }
}